<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imgraythresh</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="im2uint8.html">&lt;&lt; im2uint8</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imnorm.html">imnorm &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a> &gt; imgraythresh</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imgraythresh</h1>
    <p class="refpurpose">Calculate Otsu&#0039;s Global threshold value</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">level</span><span class="default"> = </span><span class="functionid">imgraythresh</span><span class="default"> (</span><span class="default">I</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">I :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">level :</span>
      <dd><p class="para">Otsu&#0039;s threshold value</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The function uses Otsu&#0039;s method, which chooses the threshold to
minimize the intraclass variance of the black and white pixels.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/three_objects.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">th</span> <span class="scilaboperator">=</span> <span class="scilabid">imgraythresh</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S2</span> <span class="scilaboperator">=</span> <span class="scilabid">im2bw</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">th</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://figure">figure</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="im2bw.html" class="link">im2bw</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Barre-Piquot (Octave)</li>
   <li class="member">Tan Chin Luh (IPCV)</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="im2uint8.html">&lt;&lt; im2uint8</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imnorm.html">imnorm &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
